Package com.emc.documentum.rest.model

# Class ObjectLifecycle

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.ObjectLifecycle

All Implemented Interfaces:
  `Linkable`

public class ObjectLifecycle extends AbstractLinkable
Object lifecycle resource

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ObjectLifecycle.Schedule`

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSchedule(ObjectLifecycle.Schedule schedule)`
  `Boolean`
  `getAbleToDemote()`
  `Boolean`
  `getAbleToPromote()`
  `Boolean`
  `getAbleToResume()`
  `Boolean`
  `getAbleToSuspend()`
  `String`
  `getAliassetName()`
  `String`
  `getCurrentState()`
  `String`
  `getId()`
  `String`
  `getLifecycleId()`
  `String`
  `getLifecycleName()`
  `String`
  `getNextState()`
  `String`
  `getPreviousState()`
  `String`
  `getResumeState()`
  `List<ObjectLifecycle.Schedule>`
  `getSchedules()`
  `boolean`
  `isStateTransitionLinksAccessible()`
  `void`
  `setAbleToDemote(Boolean ableToDemote)`
  `void`
  `setAbleToPromote(Boolean ableToPromote)`
  `void`
  `setAbleToResume(Boolean ableToResume)`
  `void`
  `setAbleToSuspend(Boolean ableToSuspend)`
  `void`
  `setAliassetName(String aliassetName)`
  `void`
  `setCurrentState(String currentState)`
  `void`
  `setId(String id)`
  `void`
  `setLifecycleId(String lifecycleId)`
  `void`
  `setLifecycleName(String lifecycleName)`
  `void`
  `setNextState(String nextState)`
  `void`
  `setPreviousState(String previousState)`
  `void`
  `setResumeState(String resumeState)`
  `void`
  `setSchedules(List<ObjectLifecycle.Schedule> schedules)`
  `void`
  `setStateTransitionLinksAccessible(boolean stateTransitionLinksAccessible)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectLifecycle

    public ObjectLifecycle()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### isStateTransitionLinksAccessible

    public boolean isStateTransitionLinksAccessible()

  - ### setStateTransitionLinksAccessible

    public void setStateTransitionLinksAccessible(boolean stateTransitionLinksAccessible)

  - ### getLifecycleId

    public String getLifecycleId()

  - ### setLifecycleId

    public void setLifecycleId(String lifecycleId)

  - ### getLifecycleName

    public String getLifecycleName()

  - ### setLifecycleName

    public void setLifecycleName(String lifecycleName)

  - ### getAliassetName

    public String getAliassetName()

  - ### setAliassetName

    public void setAliassetName(String aliassetName)

  - ### getCurrentState

    public String getCurrentState()

  - ### setCurrentState

    public void setCurrentState(String currentState)

  - ### getPreviousState

    public String getPreviousState()

  - ### setPreviousState

    public void setPreviousState(String previousState)

  - ### getNextState

    public String getNextState()

  - ### setNextState

    public void setNextState(String nextState)

  - ### getResumeState

    public String getResumeState()

  - ### setResumeState

    public void setResumeState(String resumeState)

  - ### getAbleToDemote

    public Boolean getAbleToDemote()

  - ### setAbleToDemote

    public void setAbleToDemote(Boolean ableToDemote)

  - ### getAbleToPromote

    public Boolean getAbleToPromote()

  - ### setAbleToPromote

    public void setAbleToPromote(Boolean ableToPromote)

  - ### getAbleToResume

    public Boolean getAbleToResume()

  - ### setAbleToResume

    public void setAbleToResume(Boolean ableToResume)

  - ### getAbleToSuspend

    public Boolean getAbleToSuspend()

  - ### setAbleToSuspend

    public void setAbleToSuspend(Boolean ableToSuspend)

  - ### getSchedules

    public List<ObjectLifecycle.Schedule> getSchedules()

  - ### setSchedules

    public void setSchedules(List<ObjectLifecycle.Schedule> schedules)

  - ### addSchedule

    public void addSchedule(ObjectLifecycle.Schedule schedule)